Create Event
https://api.propexo.com/crm/v1/events/Create an event for an integration.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
The Propexo unique identifier for the prospect
events object[]
Events to create or update for the prospect. Only ELISE_REACTIVATED events are currently supported.
Possible values: >= 1
EliseAI event identifier
The name or type of event. Only ELISE_REACTIVATED is currently supported.
Show 1 enum value
ELISE_REACTIVATEDThe date when the event will occur
The Propexo unique identifier for the community
The Propexo unique identifier for the attribution. Required for CALL events
The Propexo unique identifier for the agent. Required for SMS, CHAT, CALL, and EMAIL events
The name or type of event
Show 5 enum values
SMSCHATCALLEMAILACTIVITYThe date when the event will occur. Required for SMS, CHAT, ACTIVITY, and EMAIL events
Notes associated with the event. Required for SMS, CHAT, and ACTIVITY events
The body of the email. Required for EMAIL events
The subject of the email. Required for EMAIL events
The status of the call. Required for CALL events
Show 6 enum values
ANSWEREDMISSED_NO_VOICEMAILMISSED_VOICEMAILHUNG_UPFAILEDTERMINATEDThe start time of the event. Required for CALL events
The end time of the event. Required for CALL events
Response
Successful response
The ID of the job created to handle this operation
data objectrequired
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/events/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
{
"job_id": "string",
"data": {}
}